version: '3.8'

services:
  brunix-engine:
    build: .
    container_name: brunix-assistance-engine
    ports:
      - "50052:50051"
      - "8000:8000"
    environment:
      ELASTICSEARCH_URL: ${ELASTICSEARCH_URL}
      ELASTICSEARCH_INDEX: ${ELASTICSEARCH_INDEX}
      POSTGRES_URL: ${POSTGRES_URL}
      LANGFUSE_HOST: ${LANGFUSE_HOST}
      LANGFUSE_PUBLIC_KEY: ${LANGFUSE_PUBLIC_KEY}
      LANGFUSE_SECRET_KEY: ${LANGFUSE_SECRET_KEY}
      OLLAMA_URL: ${OLLAMA_URL}
      OLLAMA_MODEL_NAME: ${OLLAMA_MODEL_NAME}
      OLLAMA_EMB_MODEL_NAME: ${OLLAMA_EMB_MODEL_NAME}
      PROXY_THREAD_WORKERS: 10
    
    extra_hosts:
      - "host.docker.internal:host-gateway"

